[API] Change User Profile

Updates user's profile information.

PATCH users/{user-login}

Authentication

This request requires basic authentication.

Request Parameters

Path params
user-login string
The login of the user to update the profile of.
Body params
updatedFields string
A comma-separated list of fields that will be updated. If a field name is not in the list, it will not be updated even if the field value is specified in other request parameters.
email string
[optional] Email of the user.
userRole
string
[optional] If the user is Contributor, the user role, e.g., Reviewer, Translator, Writer, etc.
If the user is a Power Reader or a Reviewer, a comma-separated list of Power Reader or Reviewer Access Groups this user belongs to. 
userType
string
[optional] The type of the user: Contributor or PowerReader.
isEnabled
bool
[optional] Whether the account is enabled or not.

Samples

Request sample
Bash (Unix Shell)
[Bash (Unix Shell)]

curl --location -g --request PATCH 'https://{portal-url}/api/v1/users/johndoe' ^
--data-raw '{
    "updatedFields": "email,userRole,isEnabled",
    "email": "john.doe@company.co",
    "userRole": "Reviewer",
    "isEnabled": true
}'
Response Sample
JSON
[JSON]

{
    "userInfo": {
        "about": "",
        "authorUiFourLetterCode": "en-US",
        "avatarImageUrl": null,
        "cultureInfoId": "en-US",
        "email": "johndoe@company.co",
        "firstName": "John",
        "isAutoDetectCultureInfo": true,
        "isAutoDetectTimeZone": true,
        "isEnableHomeEditorAdvancedCss": false,
        "isFirstTrialUser": false,
        "lastActivityDate": "/Date(1686063404096+0000)/",
        "lastName": "Doe",
        "middleName": "",
        "timeZoneId": "UTC"
    },
    "userName": "johndoe",
    "userRole": "Reviewer",
    "userType": "Contributor",
    "isEnabled": true
}